import NodeModule from "./node-module";
export default class DotNetModuleReference {
    private _projectPath;
    private _nodeModule;
    constructor(projectPath: string, nodeModule: NodeModule);
    readonly projectPath: string;
    readonly nodeModule: NodeModule;
    getAssemblySourceDir(assemblyName: string): string;
    getAssemblyBinaryDir(assemblyName: string): string;
    importAssemblyAsync(packageName: string, assemblyName: string | string[]): Promise<void>;
    private copyPatternsAsync;
}
