export declare enum BuildErrorLevel {
    Off = 0,
    Warning = 1,
    Error = 2
}
export default class BuildErrorHandler {
    private static isFatal;
    static setCustomHandler(handler: (level: BuildErrorLevel, error: Error) => void): void;
    private static handleError;
    static onError(error: Error): void;
    static onWarning(error: Error): void;
}
