/// <reference types="node" />
import { ChildProcess as NodeChildProcess, SpawnOptions as NodeSpawnOptions } from "child_process";
export interface SpawnOptions extends NodeSpawnOptions {
    echo?: boolean;
    silentUntilError?: boolean;
}
export default class ChildProcess {
    static spawnAsync(command: string, args?: string[], options?: SpawnOptions): Promise<NodeChildProcess>;
}
