/// <reference types="node" />
/// <reference types="vinyl-fs" />
import * as stream from "stream";
export default class StreamCache extends stream.Stream implements NodeJS.WritableStream {
    writable: boolean;
    readable: boolean;
    private _buffers;
    private _dests;
    private _ended;
    constructor();
    write(buffer: Buffer | string, encoding?: string | Function, cb?: Function): boolean;
    pipe<T>(dest: T, options?: {
        end?: boolean;
    }): T;
    getLength(): number;
    end(): void;
}
